JBoss API: Class SecurityInterceptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class SecurityInterceptor

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.SecurityInterceptor

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class SecurityInterceptor
extends AbstractInterceptor

The SecurityInterceptor is where the EJB 2.0 declarative security model is enforced. This is where the caller identity propagation is controlled as well.

Version:
  $Revision: 1.17.2.6 $
Author:
  Oleg Nitz, Scott_Stark@displayscape.com

Field Summary
`protected Container` | `container`
`protected RealmMapping` | `realmMapping`
`protected java.security.Principal` | `runAsRole`
`protected AuthenticationManager` | `securityManager`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`SecurityInterceptor()`

Method Summary
`Container` | `getContainer()`
`java.lang.Object` | `invoke(MethodInvocation mi)`
`java.lang.Object` | `invokeHome(MethodInvocation mi)`
`void` | `setContainer(Container container)` Called by the super class to set the container to which this interceptor belongs.
`void` | `start()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, init, setNext, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

### securityManager

    protected AuthenticationManager securityManager

### realmMapping

    protected RealmMapping realmMapping

### runAsRole

    protected java.security.Principal runAsRole

Constructor Detail

### SecurityInterceptor

    public SecurityInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Called by the super class to set the container to which this interceptor belongs. We obtain the security manager and runAs identity to use here.
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### getContainer

    public Container getContainer()

  Overrides:
    `getContainer` in class `AbstractInterceptor`

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `AbstractInterceptor`

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Overrides:
    `invokeHome` in class `AbstractInterceptor`

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  Overrides:
    `invoke` in class `AbstractInterceptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.